package com.engine.organization.service;

import com.engine.organization.entity.fieldset.TypeTreeDTO;

import java.util.List;
import java.util.Map;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/6/13
 * @Version V1.0
 **/
public interface FieldDefinedService {


    List<TypeTreeDTO> getTree(String moduleName);

    /**
     * 获取标题分组
     *
     * @param groupType
     * @return
     */
    Map<String, Object> getTabInfo(String groupType);

    /**
     * 保存自定义字段
     *
     * @param data
     * @return
     */
    int saveFields(String data);

}
